Website Monitoring - Bug #1528

Javascript error on Status Overview page
10/18/2016 06:09 PM - Luke Murphey

Status: Closed Start date: 10/18/2016
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 2.0

Description

Uncaught Error: Module name "underscore" has not been loaded yet for context: _

History

#1 - 10/18/2016 06:12 PM - Luke Murphey

| think this is for the cell renderer.

#2 - 10/22/2016 04:56 PM - Luke Murphey

- Status changed from New to Rejected

Cannot reproduce this

#3 - 10/28/2016 03:42 AM - Luke Murphey

- Status changed from Rejected to In Progress

#4 - 10/28/2016 03:55 AM - Luke Murphey

| can trigger this by modifying the cell renderer and reloading the page.

Potentially relevant:

e http://stackoverflow.com/questions/20311260/requirejs-module-name-underscore-has-not-been-loaded-yet-for-context

#5 - 10/28/2016 04:49 AM - Luke Murphey
- File status_overview.css added

- File WebsiteStatusCellRenderer.js added

Here are a couple of files to make the errors made as labels.

#6 - 10/28/2016 04:51 AM - Luke Murphey
- File current.png added

- File labels.png added

- File response_times_red.png added

- File filled.png added

- File all_labels.png added
http://stackoverflow.com/questions/20311260/requirejs-module-name-underscore-has-not-been-loaded-yet-for-context
ThreatFactor.com http://ThreatFactor.com 25minutesago  23.92ms 29.09 ms 15-93 ms
Answers.Splunk.com http://answers.splunk.com/ 10 minutes ago 847-1836 ms
Blogs.Splunk.com http://blogs.splunk.com v 200 10 minutesago ~ 494.76 ms 757.05 ms 366 - 2548 ms i ,._,l.ll.ll.....l.-_.....‘...I._l aiil
| Editv | Morelnfo v [

SVN.LukeMurphey.net

http://svn.LukeMurphey.net/textcritical.com/
#7 - 10/28/2016 05:10 AM - Luke Murphey
- File favicon.png added

With favicon support:
#8 - 10/28/2016 06:36 AM - Luke Murphey

Here is a system for grabbing the icons: h

#9 - 10/28/2016 07:20 AM - Luke Murphey
- File stop_watch.png added

Tried adding a stopwatch icon based on the performance of the URL:
https://plugins.svn.wordpress.org/wp-favicons/trunk/includes/server/class-http.php
Edit

Export v

Last 24 hours v || Include all inputs o m Hide Filters

title url response_code © | last_checked © | response_time © | average range sparkline_response_time

10.1.0.130 http://10.1.0.130 PN L T just now @ @

splunk.com http://splunk.com ~200 1 minute ago 820-26259m5  [lyunsle e o

TextCritical.net http://textcritical.net v 200 just now @) 139.49ms @26822ms  128-20312ms ||
#10 - 11/15/2016 07:23 AM - Luke Murphey
- Status changed from In Progress to Closed
- % Done changed from 0 to 100
Files
status_overview.css 1.47 KB 10/28/2016 Luke Murphey
WebsiteStatusCellRenderer.js 2.28 KB 10/28/2016 Luke Murphey
current.png 333 KB 10/28/2016 Luke Murphey
labels.png 339 KB 10/28/2016 Luke Murphey
response_times_red.png 336 KB 10/28/2016 Luke Murphey
filled.png 334 KB 10/28/2016 Luke Murphey
all_labels.png 350 KB 10/28/2016 Luke Murphey
favicon.png 374 KB 10/28/2016 Luke Murphey
stop_watch.png 195 KB 10/28/2016 Luke Murphey
